<?php
  echo "Entrez un Nombre : " ;
  fscanf(STDIN,"%d",$nb);
  $val_init=3        ;
  $limite=sqrt($nb)+1;
  $trouve=false      ;
  $reste= $nb % 2 ;
  if (($reste == 0) && ($nb != 2))
  {
   $trouve=true    ;
   $diviseur1=2    ;
   $diviseur2=$nb/2 ;
  }
  else
  {
    $i=3;
    while (($i<=$limite) && (! $trouve))
    {
      $reste= $nb % $i ;
      if ($reste == 0)
      {
         $trouve=true      ;
         $diviseur1=$i     ;
         $diviseur2=$nb/$i ;
      }
    $i+=2;
    }
  }
  if ($trouve)
  {
    echo "$nb n'est pas premier !".PHP_EOL;
    echo "il est divisible par $diviseur1 et $diviseur2".PHP_EOL;
  }
  else
  {
    echo "$nb est un nombre premier !".PHP_EOL;
  }     
?>
